<?php

 #################################################################
 ###### SpotterNetwork.org Video Stream Status PHP Script ########
 #################################################################

/*

-ABOUT this script-
	Title: SpotterNetwork.org Video Stream Status PHP Script
	Description: Shows whether a specified user is streaming or not at any given time.
				 This script checks this file for the specified streamer: http://www.spotternetwork.org/feeds/gr-stream.txt
	Written on 2-6-2011 by Charlie Davidson
	Version: 1.0.0 (stable)

-HELP US MOVE FORWARD!-
	If you like this script and would like to help us move forward, please consider donating.
	Contact me at cdavidson@stormchasetn.com if you are interested in helping us out.
	We graciously accept donations of any amount; even the smallest amount will help to keep our servers running.
	Your donation will greatly help us out and will enable us to continue developing scripts like this to benefit you!

-REPORTING issues with this script-
	***Problems with this script? Please don't hesitate to contact me at cdavidson@stormchasetn.com.***
	***The less time that an issue goes unreported, the quicker I can get it fixed!***

-HOW TO place this script on your website-
	-Upload the entire folder that this file resides in into the root folder of your website.
	-Place the following code anywhere that you want the status text to display:
		<?php include=($_SERVER['DOCUMENT_ROOT'].'/includes/sn-stream-status/sn-stream-status.php'); ?>
	-After you've configured this script, go live on your stream and see if this works! (SN may take a minute or two to update your status)

-REQUIREMENTS for this script to work properly-
	-The web server that this script will run on MUST have PHP version 5 or greater installed.
	-You must have an active SpotterNetwork.org account.
	-You must be reporting your location via GPS or manually at the time that you are streaming.
	-You must have a supported video streaming service set up in your SpotterNetwork.org profile.

-TIPS for using this script-
	Are you one of the popular ones on SpotterNetwork.org that happens to have the same first and last name as someone else?
	Type a short number or something else at the end of your last name on SpotterNetwork.org (NO symbols or the script will not work!) and use that name here so that the script won't confuse you with someone else!
	If you have a callsign, use that as your name instead!

-SUPPORT for this script-
	Please note that I cannot provide any support for this script.
	As much as I wish I could help everyone, I am a very busy man and unfortunately don't have that kind of free time!
	At the very least I hope that my explinations here can help out.

*/

# ---------------CONFIGURATION---------------

# Put your SpotterNetwork.org name here (NOT your username), as it shows up on the SpotterNetwork map.
# e.g. John Doe, John Doe K4HAM, K4HAM, etc.
$sn_name='Charlie Davidson';

# Put the text that you would like to show when the specified stream is LIVE (HTML is supported!)
$live_text='<font color="green">Streaming</font>';

# Put the text that you would like to show when the specified stream is OFF (HTML is supported!)
$off_text='<font color="red">Not Streaming</font>';

# -------------END CONFIGURATION-------------

# *******************************************
# ******!!DO NOT EDIT BELOW THIS LINE!!******

// Let's assign a variable for the script version, just in case.
$version = '1.0.0';

// Here we'll specify the file that we are getting our data from.
$file = file_get_contents("http://www.spotternetwork.org/feeds/gr.txt");

// This is what we're looking for in the file.
if (!strpos($file, 'Icon: 0,0,000,1,19,"'.$sn_name.''))

// Variable for what we'll show if we can't find what we're looking for.
	echo $off_text;
	
// If we find a match, we'll display this instead.
else
	echo $live_text;

# ******!!DO NOT EDIT ABOVE THIS LINE!!******
# *******************************************

# Copyright (c) 2011 StormChaseTN.com (Charlie Davidson).
# Free for non-commercial use only. No warranties of any form whatsoever are implied.
# A simple link back to my website (http://www.stormchasetn.com) is the very least that I ask for!
# Commercial entities, please contact us at info@stormchasetn.com for further details for commercial use.

?>